apiVersion: apps/v1
kind: Deployment
metadata:
  name: service-b-deployment
spec:
  replicas: 2
  selector:
    matchLabels:
      run: service-b-pod-label
  template:
    metadata:
      name: service-b-pod
      labels:
        run: service-b-pod-label
    spec:
      containers:
      - name: nginx
        image: us-docker.pkg.dev/google-samples/containers/gke/hello-app:2.0
        ports:
        - containerPort: 8080
        resources:
          requests:
            memory: "64Mi"
            cpu: "250m"
          limits:
            memory: "128Mi"
            cpu: "500m"
        env:
        - name: "PORT"
          value: "8080"
---
apiVersion: v1
kind: Service
metadata:
  name: service-b-service
spec:
  type: ClusterIP
  ports:
  - port: 8080
    protocol: TCP
  selector:
    run: service-b-pod-label